curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants
const API_KEY = "API_KEY";
fetch(
"https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants",
{
method: "GET",
headers: {
Authorization: `Bearer ${API_KEY}`
}
}
)
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants', headers=headers)
print(r.json())
$apiUrl = 'https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants';
$apiKey = 'API_KEY'; // Replace 'API_KEY' with your actual API key
$headers = [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
];
$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => $headers
]);
$response = curl_exec($curl);
if ($response === false) {
echo 'Curl error: ' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
namespace BrandByUserGETRequest_csharp
{
class BrandByUser
{
static async Task Main(string[] args)
{
string API_KEY = "API_KEY";
string url = "https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants";
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
try
{
var response = await client.GetStringAsync(url);
Console.WriteLine(response);
}
catch (HttpRequestException ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
}
}
{
"bluesky": {
"avatar": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreiegtpqhpwgu6tww2ejsdil4ew3blmt6jh3wlq6zhanxo3wj2ib4du@jpeg",
"description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
"displayName": "Ayrshare",
"handle": "ayrshare.com",
"id": "did:plc:62musrcyanhro2lydyhlw7ci",
"indexedAt": "2024-11-29T21:13:18.046Z"
},
"facebook": {
"about": "We invite you to wonder. ",
"description": "Frank Lloyd Wright's architectural masterpiece home to a world-renowned collection of modern and contemporary art.",
"fanCount": 845048,
"followersCount": 874337,
"id": "7640348500",
"isUnclaimed": false, // 自動產生的 Facebook Page 是否已由其代表的商家認領。
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"picture": {
"data": {
"height": 50,
"isSilhouette": false,
"url": "https://scontent.ford4-1.fna.fbcdn.net/v/t39.30808-1/352122020_2000703126929355_7618417261219676343_n.jpg?stp=cp0_dst-jpg_p50x50&_nc_cat=104&ccb=1-7&_nc_sid=4da83f&_nc_ohc=Y1AlQn-HyvwAX8NzExq&_nc_ht=scontent.ford4-1.fna&edm=AJdBtusEAAAA&oh=00_AfD7ms2Nv0b5x1jr_uJKZsXnngQP3dmDrjQDNz_4aaBrCg&oe=65D3ACAE",
"width": 50
}
},
"username": "guggenheimmuseum",
"verificationStatus": "blue_verified", // 代表商家的 Facebook Page 的驗證狀態,blue_verified 或 not_verified。
"website": "http://www.guggenheim.org/"
},
"instagram": {
"biography": "4x Super Bowl Champions #TogetherBlue",
"followersCount": 2278171,
"followsCount": 228,
"id": "17841400118294090", // Instagram ID
"igId": 261763943,
"mediaCount": 8965,
"name": "New York Giants",
"profilePictureUrl": "https://scontent-lga3-2.xx.fbcdn.net/v/t51.2885-15/209249968_563247608171409_1254577321735891919_n.jpg?_nc_cat=1&ccb=1-5&_nc_sid=86c713&_nc_ohc=T673IyEiuasAX_Jj7xu&_nc_ht=scontent-lga3-2.xx&edm=AL-3X8kEAAAA&oh=00_AT8GNdOos4riN7NhrI06a6TkVKgOf5p_RUlsOQUwPRW3VQ&oe=6247F2F0",
"username": "nygiants",
"website": "http://nygnt.co/vgle2"
},
// 使用使用者名稱或 handle 查詢 LinkedIn
"linkedin": {
"localizedName": "LinkedIn",
"name": {
"localized": {
"it_IT": "LinkedIn",
"ru_RU": "LinkedIn",
"pl_PL": "LinkedIn",
"ro_RO": "LinkedIn",
"sv_SE": "LinkedIn"
},
"preferredLocale": {
"country": "US",
"language": "en"
}
},
"id": 1337,
"vanityName": "linkedin",
"organizationType": "PUBLIC_COMPANY",
"locations": [
{
"locationType": "HEADQUARTERS",
"address": {
"geographicArea": "CA",
"country": "US",
"city": "Sunnyvale",
"line1": "1000 W Maude",
"postalCode": "94085"
},
"streetAddressFieldState": "UNSET_OPT_OUT",
"geoLocation": "urn:li:geo:106316449",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "Community of Madrid",
"country": "ES",
"city": "Madrid",
"postalCode": "28046"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:106809575",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "ON",
"country": "CA",
"city": "Toronto",
"postalCode": "M5J 2Z2"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:108528311",
"staffCountRange": "SIZE_1"
}
],
"specialties": [
{
"locale": {
"country": "US",
"language": "en"
},
"tags": [
"Online Professional Network",
"Jobs",
"People Search",
"Company Search",
"Address Book",
"Advertising",
"Professional Identity",
"Group Collaboration",
"Recruiting"
]
}
],
"website": "https://careers.linkedin.com",
"description": "Founded in 2003, LinkedIn connects the world's professionals to make them more productive and successful. With more than 1 billion members worldwide, including executives from every Fortune 500 company, LinkedIn is the world's largest professional network. The company has a diversified business model with revenue coming from Talent Solutions, Marketing Solutions, Sales Solutions and Premium Subscriptions products. Headquartered in Silicon Valley, LinkedIn has offices across the globe..",
"media": {
"mediaUrl": "https://media.licdn.com/dms/image/C560BAQHaVYd13rRz3A/company-logo_400_400/0/1638831590218/linkedin_logo?e=1723680000&v=beta&t=gOk8XZWklJyh3O7qcgWRluAgbt8whoV8Kr9B0E74xYI",
"id": "urn:li:digitalmediaAsset:C560BAQHaVYd13rRz3A",
"mediaExpiresSeconds": 1723680000000
},
"lastUpdated": "2024-05-15T20:42:09.417Z",
"nextUpdate": "2024-05-15T20:53:09.417Z"
},
// 使用 person ID 查詢 LinkedIn。
"linkedin": {
"from": {
"name": "John Doe",
"id": "Z_yXaxh",
"url": "https://www.linkedin.com/in/johndoe",
"description": "Founder"
},
"media": {
"id": "urn:li:image:C5103AQHORT70jVfKVA",
"mediaExpiresSeconds": 1728518400000,
"url": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile"
},
"platform": "linkedin",
"profileImageUrl": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile",
"userName": "johndoe"
},
"twitter": {
"createdAt": "2017-10-04T15:26:17.000Z",
"description": "Ayrshare's APIs provide the core infrastructure for social media posting, management, and analytics. https://t.co/UlcRGcg1X9",
"id": "92839209304423",
"location": "New York, NY",
"name": "Ayrshare",
"profileImageUrl": "https://pbs.twimg.com/profile_images/1423334467389767680/ochnivwr_normal.jpg",
"publicMetrics": {
"followersCount": 5361,
"followingCount": 39,
"tweetCount": 844,
"listedCount": 5
},
"url": "https://t.co/UlcRGcg1X9",
"username": "Ayrshare"
},
"youtube": {
"created": "2009-05-12T05:28:43Z",
"description": "",
"hiddenSubscriberCount": false,
"isLinked": true,
"longUploadsStatus": "longUploadsUnspecified",
"madeForKids": false,
"playlistId": "UU-0dv2mN6SeXwkEKtfKXJnQ",
"privacyStatus": "public",
"subscriberCount": "28200",
"thumbnailUrl": "https://yt3.ggpht.com/OwargtIRcXzB7jlHWgCmitNo-6JX2wbZGdOMg5K7rd5BnX4bSJX1WPaD2Bi4RN3X9SJi4D4h4g=s88-c-k-c0x00ffffff-no-nd-rj",
"title": "MelissaEtheridgeVEVO",
"url": "https://www.youtube.com/c/@MelissaEtheridgeVEVO",
"videoCount": "43",
"viewCount": "29872467"
}
}
{
"status": "error",
"code": 187,
"instagram": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. The user with username: whoblhablah cannot be found.",
"platform": "instagram"
},
"twitter": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. Could not find user with username: [NoDonkdfjkd]."
},
"linkedin": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics.",
"details": "No LinkedIn organization found for linkedinfdfd"
}
}
Listening
取得品牌資料
依使用者名稱取得社群帳號資訊
GET
/
brand
/
byUser
curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants
const API_KEY = "API_KEY";
fetch(
"https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants",
{
method: "GET",
headers: {
Authorization: `Bearer ${API_KEY}`
}
}
)
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants', headers=headers)
print(r.json())
$apiUrl = 'https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants';
$apiKey = 'API_KEY'; // Replace 'API_KEY' with your actual API key
$headers = [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
];
$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => $headers
]);
$response = curl_exec($curl);
if ($response === false) {
echo 'Curl error: ' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
namespace BrandByUserGETRequest_csharp
{
class BrandByUser
{
static async Task Main(string[] args)
{
string API_KEY = "API_KEY";
string url = "https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants";
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
try
{
var response = await client.GetStringAsync(url);
Console.WriteLine(response);
}
catch (HttpRequestException ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
}
}
{
"bluesky": {
"avatar": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreiegtpqhpwgu6tww2ejsdil4ew3blmt6jh3wlq6zhanxo3wj2ib4du@jpeg",
"description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
"displayName": "Ayrshare",
"handle": "ayrshare.com",
"id": "did:plc:62musrcyanhro2lydyhlw7ci",
"indexedAt": "2024-11-29T21:13:18.046Z"
},
"facebook": {
"about": "We invite you to wonder. ",
"description": "Frank Lloyd Wright's architectural masterpiece home to a world-renowned collection of modern and contemporary art.",
"fanCount": 845048,
"followersCount": 874337,
"id": "7640348500",
"isUnclaimed": false, // 自動產生的 Facebook Page 是否已由其代表的商家認領。
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"picture": {
"data": {
"height": 50,
"isSilhouette": false,
"url": "https://scontent.ford4-1.fna.fbcdn.net/v/t39.30808-1/352122020_2000703126929355_7618417261219676343_n.jpg?stp=cp0_dst-jpg_p50x50&_nc_cat=104&ccb=1-7&_nc_sid=4da83f&_nc_ohc=Y1AlQn-HyvwAX8NzExq&_nc_ht=scontent.ford4-1.fna&edm=AJdBtusEAAAA&oh=00_AfD7ms2Nv0b5x1jr_uJKZsXnngQP3dmDrjQDNz_4aaBrCg&oe=65D3ACAE",
"width": 50
}
},
"username": "guggenheimmuseum",
"verificationStatus": "blue_verified", // 代表商家的 Facebook Page 的驗證狀態,blue_verified 或 not_verified。
"website": "http://www.guggenheim.org/"
},
"instagram": {
"biography": "4x Super Bowl Champions #TogetherBlue",
"followersCount": 2278171,
"followsCount": 228,
"id": "17841400118294090", // Instagram ID
"igId": 261763943,
"mediaCount": 8965,
"name": "New York Giants",
"profilePictureUrl": "https://scontent-lga3-2.xx.fbcdn.net/v/t51.2885-15/209249968_563247608171409_1254577321735891919_n.jpg?_nc_cat=1&ccb=1-5&_nc_sid=86c713&_nc_ohc=T673IyEiuasAX_Jj7xu&_nc_ht=scontent-lga3-2.xx&edm=AL-3X8kEAAAA&oh=00_AT8GNdOos4riN7NhrI06a6TkVKgOf5p_RUlsOQUwPRW3VQ&oe=6247F2F0",
"username": "nygiants",
"website": "http://nygnt.co/vgle2"
},
// 使用使用者名稱或 handle 查詢 LinkedIn
"linkedin": {
"localizedName": "LinkedIn",
"name": {
"localized": {
"it_IT": "LinkedIn",
"ru_RU": "LinkedIn",
"pl_PL": "LinkedIn",
"ro_RO": "LinkedIn",
"sv_SE": "LinkedIn"
},
"preferredLocale": {
"country": "US",
"language": "en"
}
},
"id": 1337,
"vanityName": "linkedin",
"organizationType": "PUBLIC_COMPANY",
"locations": [
{
"locationType": "HEADQUARTERS",
"address": {
"geographicArea": "CA",
"country": "US",
"city": "Sunnyvale",
"line1": "1000 W Maude",
"postalCode": "94085"
},
"streetAddressFieldState": "UNSET_OPT_OUT",
"geoLocation": "urn:li:geo:106316449",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "Community of Madrid",
"country": "ES",
"city": "Madrid",
"postalCode": "28046"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:106809575",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "ON",
"country": "CA",
"city": "Toronto",
"postalCode": "M5J 2Z2"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:108528311",
"staffCountRange": "SIZE_1"
}
],
"specialties": [
{
"locale": {
"country": "US",
"language": "en"
},
"tags": [
"Online Professional Network",
"Jobs",
"People Search",
"Company Search",
"Address Book",
"Advertising",
"Professional Identity",
"Group Collaboration",
"Recruiting"
]
}
],
"website": "https://careers.linkedin.com",
"description": "Founded in 2003, LinkedIn connects the world's professionals to make them more productive and successful. With more than 1 billion members worldwide, including executives from every Fortune 500 company, LinkedIn is the world's largest professional network. The company has a diversified business model with revenue coming from Talent Solutions, Marketing Solutions, Sales Solutions and Premium Subscriptions products. Headquartered in Silicon Valley, LinkedIn has offices across the globe..",
"media": {
"mediaUrl": "https://media.licdn.com/dms/image/C560BAQHaVYd13rRz3A/company-logo_400_400/0/1638831590218/linkedin_logo?e=1723680000&v=beta&t=gOk8XZWklJyh3O7qcgWRluAgbt8whoV8Kr9B0E74xYI",
"id": "urn:li:digitalmediaAsset:C560BAQHaVYd13rRz3A",
"mediaExpiresSeconds": 1723680000000
},
"lastUpdated": "2024-05-15T20:42:09.417Z",
"nextUpdate": "2024-05-15T20:53:09.417Z"
},
// 使用 person ID 查詢 LinkedIn。
"linkedin": {
"from": {
"name": "John Doe",
"id": "Z_yXaxh",
"url": "https://www.linkedin.com/in/johndoe",
"description": "Founder"
},
"media": {
"id": "urn:li:image:C5103AQHORT70jVfKVA",
"mediaExpiresSeconds": 1728518400000,
"url": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile"
},
"platform": "linkedin",
"profileImageUrl": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile",
"userName": "johndoe"
},
"twitter": {
"createdAt": "2017-10-04T15:26:17.000Z",
"description": "Ayrshare's APIs provide the core infrastructure for social media posting, management, and analytics. https://t.co/UlcRGcg1X9",
"id": "92839209304423",
"location": "New York, NY",
"name": "Ayrshare",
"profileImageUrl": "https://pbs.twimg.com/profile_images/1423334467389767680/ochnivwr_normal.jpg",
"publicMetrics": {
"followersCount": 5361,
"followingCount": 39,
"tweetCount": 844,
"listedCount": 5
},
"url": "https://t.co/UlcRGcg1X9",
"username": "Ayrshare"
},
"youtube": {
"created": "2009-05-12T05:28:43Z",
"description": "",
"hiddenSubscriberCount": false,
"isLinked": true,
"longUploadsStatus": "longUploadsUnspecified",
"madeForKids": false,
"playlistId": "UU-0dv2mN6SeXwkEKtfKXJnQ",
"privacyStatus": "public",
"subscriberCount": "28200",
"thumbnailUrl": "https://yt3.ggpht.com/OwargtIRcXzB7jlHWgCmitNo-6JX2wbZGdOMg5K7rd5BnX4bSJX1WPaD2Bi4RN3X9SJi4D4h4g=s88-c-k-c0x00ffffff-no-nd-rj",
"title": "MelissaEtheridgeVEVO",
"url": "https://www.youtube.com/c/@MelissaEtheridgeVEVO",
"videoCount": "43",
"viewCount": "29872467"
}
}
{
"status": "error",
"code": 187,
"instagram": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. The user with username: whoblhablah cannot be found.",
"platform": "instagram"
},
"twitter": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. Could not find user with username: [NoDonkdfjkd]."
},
"linkedin": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics.",
"details": "No LinkedIn organization found for linkedinfdfd"
}
}
此端點可讓您擷取任何公開社群媒體個人檔案的資訊,即使該個人檔案並未連結至您的 Ayrshare 帳號。此功能支援 Bluesky、Facebook、Instagram、LinkedIn、
X 與 YouTube。
若是已連結到您 Ayrshare 帳號的個人檔案,我們建議改用 /analytics 端點,因為它可提供更詳細的分析資料。
重要:若要在特定社群平台上搜尋個人檔案,您的 Ayrshare 帳號必須連結該社群網路。
例如,若要搜尋任何 Instagram 個人檔案(例如
@taylorswift),您必須先將 Instagram 連結到您的 Ayrshare 帳號。
被搜尋的帳號必須是公開的,才能存取其資料。私人社群帳號不支援。位置資料僅適用於具有公開位置的商家。
在 Facebook 或 Instagram 中標記位置也需要有可用的位置資料。
標頭參數
查詢參數
平台字串陣列:
bluesky、instagram、facebook、linkedin、twitter 或
youtube。經 URL 編碼的 Bluesky 帳號代號。例如:“@ayrshare” 或 “ayrshare”。如果
platforms 陣列中包含 “bluesky” 則為必填。經 URL 編碼的 Facebook Page 名稱。例如 “@newyorkgiants” 或 “newyorkgiants”。
Facebook 個人帳戶不被 Facebook 允許使用。如果
platforms 陣列中包含 “facebook” 則為必填。經 URL 編碼的 Instagram 帳號代號。例如:“@nygiants” 或 “nygiants”。
注意:只能回傳 Instagram Business 與 Creator 帳號。如果
platforms 陣列中包含 “instagram” 則為必填。LinkedIn 公司(組織)的專屬名稱(vanity name),例如
Linkedin 或 linkedin-marketing-solutions。您也可以使用從 history 端點取得的 LinkedIn person ID 來查詢個人,例如對貼文按讚的使用者。範例 ID:urn:li:person:Z_yXaxh_Et如果 platforms 陣列中包含 “linkedin” 則為必填。經 URL 編碼的 Twitter 帳號代號。例如:“@ayrshare” 或 “ayrshare”。如果
platforms 陣列中包含 “twitter” 則為必填。經 URL 編碼的 YouTube 使用者名稱、頻道 ID 或播放清單 ID。注意,頻道 ID 通常以
“UC” 開頭,播放清單 ID 則以 “PL” 開頭。例如,可傳送使用者名稱 “MelissaEtheridgeVEVO” 或
頻道 ID “UCpSUQewzOXg1F0zLmieKCqQ”。您也可以使用 YouTube URL 中的 handle。
例如,https://www.youtube.com/@mkbhd 的 handle 就是 “@mkbhd”。
請務必保留
@ 符號以標示這是 handle。如果 platforms 陣列中包含 “youtube” 則為必填。curl \
-H "Authorization: Bearer API_KEY" \
-X GET https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants
const API_KEY = "API_KEY";
fetch(
"https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants",
{
method: "GET",
headers: {
Authorization: `Bearer ${API_KEY}`
}
}
)
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
headers = {'Authorization': 'Bearer API_KEY'}
r = requests.get('https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants', headers=headers)
print(r.json())
$apiUrl = 'https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants';
$apiKey = 'API_KEY'; // Replace 'API_KEY' with your actual API key
$headers = [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
];
$curl = curl_init($apiUrl);
curl_setopt_array($curl, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => $headers
]);
$response = curl_exec($curl);
if ($response === false) {
echo 'Curl error: ' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
namespace BrandByUserGETRequest_csharp
{
class BrandByUser
{
static async Task Main(string[] args)
{
string API_KEY = "API_KEY";
string url = "https://api.ayrshare.com/api/brand/byUser?platforms[0]=instagram&platforms[1]=twitter&twitterUser=ayrshare&instagramUser=nygiants";
using (var client = new HttpClient())
{
client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
try
{
var response = await client.GetStringAsync(url);
Console.WriteLine(response);
}
catch (HttpRequestException ex)
{
Console.WriteLine($"Error: {ex.Message}");
}
}
}
}
}
{
"bluesky": {
"avatar": "https://cdn.bsky.app/img/avatar/plain/did:plc:62musrcyanhro2lydyhlw7ci/bafkreiegtpqhpwgu6tww2ejsdil4ew3blmt6jh3wlq6zhanxo3wj2ib4du@jpeg",
"description": "Ayrshare's Social APIs provide the core infrastructure for social media posting, management, and analytics.",
"displayName": "Ayrshare",
"handle": "ayrshare.com",
"id": "did:plc:62musrcyanhro2lydyhlw7ci",
"indexedAt": "2024-11-29T21:13:18.046Z"
},
"facebook": {
"about": "We invite you to wonder. ",
"description": "Frank Lloyd Wright's architectural masterpiece home to a world-renowned collection of modern and contemporary art.",
"fanCount": 845048,
"followersCount": 874337,
"id": "7640348500",
"isUnclaimed": false, // 自動產生的 Facebook Page 是否已由其代表的商家認領。
"link": "https://www.facebook.com/7640348500",
"location": {
"city": "New York",
"country": "United States",
"latitude": 40.782910059774,
"longitude": -73.959075808525,
"state": "NY",
"street": "1071 5th Ave",
"zip": "10128"
},
"name": "Solomon R. Guggenheim Museum",
"picture": {
"data": {
"height": 50,
"isSilhouette": false,
"url": "https://scontent.ford4-1.fna.fbcdn.net/v/t39.30808-1/352122020_2000703126929355_7618417261219676343_n.jpg?stp=cp0_dst-jpg_p50x50&_nc_cat=104&ccb=1-7&_nc_sid=4da83f&_nc_ohc=Y1AlQn-HyvwAX8NzExq&_nc_ht=scontent.ford4-1.fna&edm=AJdBtusEAAAA&oh=00_AfD7ms2Nv0b5x1jr_uJKZsXnngQP3dmDrjQDNz_4aaBrCg&oe=65D3ACAE",
"width": 50
}
},
"username": "guggenheimmuseum",
"verificationStatus": "blue_verified", // 代表商家的 Facebook Page 的驗證狀態,blue_verified 或 not_verified。
"website": "http://www.guggenheim.org/"
},
"instagram": {
"biography": "4x Super Bowl Champions #TogetherBlue",
"followersCount": 2278171,
"followsCount": 228,
"id": "17841400118294090", // Instagram ID
"igId": 261763943,
"mediaCount": 8965,
"name": "New York Giants",
"profilePictureUrl": "https://scontent-lga3-2.xx.fbcdn.net/v/t51.2885-15/209249968_563247608171409_1254577321735891919_n.jpg?_nc_cat=1&ccb=1-5&_nc_sid=86c713&_nc_ohc=T673IyEiuasAX_Jj7xu&_nc_ht=scontent-lga3-2.xx&edm=AL-3X8kEAAAA&oh=00_AT8GNdOos4riN7NhrI06a6TkVKgOf5p_RUlsOQUwPRW3VQ&oe=6247F2F0",
"username": "nygiants",
"website": "http://nygnt.co/vgle2"
},
// 使用使用者名稱或 handle 查詢 LinkedIn
"linkedin": {
"localizedName": "LinkedIn",
"name": {
"localized": {
"it_IT": "LinkedIn",
"ru_RU": "LinkedIn",
"pl_PL": "LinkedIn",
"ro_RO": "LinkedIn",
"sv_SE": "LinkedIn"
},
"preferredLocale": {
"country": "US",
"language": "en"
}
},
"id": 1337,
"vanityName": "linkedin",
"organizationType": "PUBLIC_COMPANY",
"locations": [
{
"locationType": "HEADQUARTERS",
"address": {
"geographicArea": "CA",
"country": "US",
"city": "Sunnyvale",
"line1": "1000 W Maude",
"postalCode": "94085"
},
"streetAddressFieldState": "UNSET_OPT_OUT",
"geoLocation": "urn:li:geo:106316449",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "Community of Madrid",
"country": "ES",
"city": "Madrid",
"postalCode": "28046"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:106809575",
"staffCountRange": "SIZE_1"
},
{
"locationType": "OTHER",
"address": {
"geographicArea": "ON",
"country": "CA",
"city": "Toronto",
"postalCode": "M5J 2Z2"
},
"streetAddressFieldState": "OPT_OUT",
"geoLocation": "urn:li:geo:108528311",
"staffCountRange": "SIZE_1"
}
],
"specialties": [
{
"locale": {
"country": "US",
"language": "en"
},
"tags": [
"Online Professional Network",
"Jobs",
"People Search",
"Company Search",
"Address Book",
"Advertising",
"Professional Identity",
"Group Collaboration",
"Recruiting"
]
}
],
"website": "https://careers.linkedin.com",
"description": "Founded in 2003, LinkedIn connects the world's professionals to make them more productive and successful. With more than 1 billion members worldwide, including executives from every Fortune 500 company, LinkedIn is the world's largest professional network. The company has a diversified business model with revenue coming from Talent Solutions, Marketing Solutions, Sales Solutions and Premium Subscriptions products. Headquartered in Silicon Valley, LinkedIn has offices across the globe..",
"media": {
"mediaUrl": "https://media.licdn.com/dms/image/C560BAQHaVYd13rRz3A/company-logo_400_400/0/1638831590218/linkedin_logo?e=1723680000&v=beta&t=gOk8XZWklJyh3O7qcgWRluAgbt8whoV8Kr9B0E74xYI",
"id": "urn:li:digitalmediaAsset:C560BAQHaVYd13rRz3A",
"mediaExpiresSeconds": 1723680000000
},
"lastUpdated": "2024-05-15T20:42:09.417Z",
"nextUpdate": "2024-05-15T20:53:09.417Z"
},
// 使用 person ID 查詢 LinkedIn。
"linkedin": {
"from": {
"name": "John Doe",
"id": "Z_yXaxh",
"url": "https://www.linkedin.com/in/johndoe",
"description": "Founder"
},
"media": {
"id": "urn:li:image:C5103AQHORT70jVfKVA",
"mediaExpiresSeconds": 1728518400000,
"url": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile"
},
"platform": "linkedin",
"profileImageUrl": "https://media.licdn.com/dms/image/v2/C5103AQHORT70jVfKVA/profile",
"userName": "johndoe"
},
"twitter": {
"createdAt": "2017-10-04T15:26:17.000Z",
"description": "Ayrshare's APIs provide the core infrastructure for social media posting, management, and analytics. https://t.co/UlcRGcg1X9",
"id": "92839209304423",
"location": "New York, NY",
"name": "Ayrshare",
"profileImageUrl": "https://pbs.twimg.com/profile_images/1423334467389767680/ochnivwr_normal.jpg",
"publicMetrics": {
"followersCount": 5361,
"followingCount": 39,
"tweetCount": 844,
"listedCount": 5
},
"url": "https://t.co/UlcRGcg1X9",
"username": "Ayrshare"
},
"youtube": {
"created": "2009-05-12T05:28:43Z",
"description": "",
"hiddenSubscriberCount": false,
"isLinked": true,
"longUploadsStatus": "longUploadsUnspecified",
"madeForKids": false,
"playlistId": "UU-0dv2mN6SeXwkEKtfKXJnQ",
"privacyStatus": "public",
"subscriberCount": "28200",
"thumbnailUrl": "https://yt3.ggpht.com/OwargtIRcXzB7jlHWgCmitNo-6JX2wbZGdOMg5K7rd5BnX4bSJX1WPaD2Bi4RN3X9SJi4D4h4g=s88-c-k-c0x00ffffff-no-nd-rj",
"title": "MelissaEtheridgeVEVO",
"url": "https://www.youtube.com/c/@MelissaEtheridgeVEVO",
"videoCount": "43",
"viewCount": "29872467"
}
}
{
"status": "error",
"code": 187,
"instagram": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. The user with username: whoblhablah cannot be found.",
"platform": "instagram"
},
"twitter": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics. Could not find user with username: [NoDonkdfjkd]."
},
"linkedin": {
"action": "analytics",
"status": "error",
"code": 294,
"message": "Error getting analytics.",
"details": "No LinkedIn organization found for linkedinfdfd"
}
}
⌘I
